import React, { useState, useEffect } from 'react';
import 'bootstrap/dist/css/bootstrap.min.css';
import '../App.css';

function App() {
    const [questions, setQuestions] = useState([]);

    useEffect(() => {
        fetch('http://127.0.0.1:8000/questions')
            .then(response => response.json())
            .then(data => setQuestions(data))
            .catch(error => console.error('Error fetching questions:', error));
    }, []);

    return (
        <div>
            <nav className="navbar navbar-expand-lg navbar-light bg-light">
                <div className="container-fluid">
                    <span className="navbar-brand">
                        <i className="fas fa-question-circle"></i> Discover
                    </span>
                </div>
            </nav>
            <div>
                {/* Questions component will be rendered here */}
            </div>
        </div>
    );
}

export default App;
